/**
 * CMI : Cluster Method Invocation
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: carol@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * --------------------------------------------------------------------------
 * $Id: InvocationCallback.java 1800 2008-05-19 15:03:26Z loris $
 * --------------------------------------------------------------------------
 */

package org.ow2.cmi.extension.rpc;

import java.util.Set;

import javax.interceptor.InvocationContext;

import org.ow2.cmi.reference.CMIReference;

/**
 * @author Loris Bouzonnet
 */
public interface InvocationCallback {

    void beforeSelectRef(CMICallbackInfo info, Set<CMIReference> reference) throws LifeCycleCallbackException;

    void beforeGetDelegate(CMICallbackInfo info, CMIReference reference) throws LifeCycleCallbackException;

    void aroundInvoke(InvocationContext context) throws LifeCycleCallbackException;

}
